Bug 1198693 - RFE: remove 'scls' from %{_sysconfdir} and %{_localstatedir} [NEEDINFO]
Summary: RFE: remove 'scls' from %{_sysconfdir} and %{_localstatedir}
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: scl-utils
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ľuboš Kardoš
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1198696 1198697
TreeView+ depends on / blocked
 
Reported: 2015-03-04 16:20 UTC by Honza Horak
Modified: 2016-08-01 01:28 UTC (History)
6 users (show)

Fixed In Version: scl-utils-2.0.1-10.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1198696 1198697 (view as bug list)
Environment:
Last Closed: 2016-03-26 18:15:12 UTC
Type: Bug
hhorak: needinfo? (lkardos)


Attachments (Terms of Use)
macros.scl-filesystem.patch (553 bytes, patch)
2015-06-24 06:03 UTC, Remi Collet
no flags Details | Diff
layout.patch (1.01 KB, patch)
2015-06-24 06:04 UTC, Remi Collet
no flags Details | Diff

Description Honza Horak 2015-03-04 16:20:35 UTC
Description of problem:
Based on discussion at:
https://www.redhat.com/archives/sclorg/2015-February/msg00032.html

Let's get rid of hardcoded 'scls' part in %{_sysconfdir} and %{_localstatedir} macros definitions in scl-utils-build, if the same dir is not used under /opt/<vendor> as well. It is inconsistent right now.

It may have sense to have another level of directories under /opt/<vendor>, but it doesn't make sense to require this for all collections.

If some distro wants to use the 'scls' dir, it just needs to re-define %_scl_prefix macro.

Comment 1 Remi Collet 2015-03-26 07:58:34 UTC
I agree, current state is inconsistent.

scls is used under /etc and /var, but not under /opt./

Comment 2 Remi Collet 2015-06-24 05:17:27 UTC
I understand that such a change can be annoying for existing collections.

Here is a proposal.

As "nfsmountable" is a terrible option name (as it has nothing related to NFS in this, only about the layout).

Create a new option "rh_layout" which will use the same layout as collection build with scl-utils 1 in RHEL

%{?rh_layout: %global _sysconfdir %{_root_sysconfdir}%{_scl_prefix}/%{scl}}
%{?rh_layout: %global _sharedstatedir %{_root_localstatedir}%{_scl_prefix}/%{scl}/lib}
%{?rh_layout: %global _localstatedir %{_root_localstatedir}%{_scl_prefix}/%{scl}}

Then, if at some point, FPC agree for SCL in Fedora, and some Guidelines are approved, it will be easy, if needed, to create a "fedora_layout" macro.

And then, "nfsmountable" could be deprecated.

Comment 3 Remi Collet 2015-06-24 06:03:19 UTC
Created attachment 1042603 [details]
macros.scl-filesystem.patch

add "rh_layout" to generate macro file

Comment 4 Remi Collet 2015-06-24 06:04:07 UTC
Created attachment 1042604 [details]
layout.patch

add "rh_layout" in macros.scl

Comment 5 Honza Horak 2015-10-22 05:54:07 UTC
ping, what are the plans with fixing this?

We shouldn't keep this unfixed any longer, every collection built with this unfixed scl-utils will trigger new issues after it is fixed.

Comment 6 Remi Collet 2015-10-22 06:11:19 UTC
> We shouldn't keep this unfixed any longer, every collection built with this unfixed scl-utils will trigger new issues after it is fixed.

Yes, this is the reason behing my proposal to introduce "rh_layout' and keep default behavior unchanged: don't break existing collection.

And we could introduce fedora_layout later, if different, in spring 2025 when SCL will be allowed in fedora 42 ;)

Comment 7 Jan Zeleny 2016-01-25 12:16:05 UTC
Reassigning to Lubos, who is currently closer to the development of scl-utils

Comment 8 Fedora Update System 2016-03-09 16:04:37 UTC
scl-utils-2.0.1-10.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff75f9caf4

Comment 9 Fedora Update System 2016-03-10 01:55:17 UTC
scl-utils-2.0.1-10.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff75f9caf4

Comment 10 Fedora Update System 2016-03-26 18:15:08 UTC
scl-utils-2.0.1-10.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.